> ## Documentation Index
> Fetch the complete documentation index at: https://developer.setle.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Renovation Reports

> Returns a list of renovation reports generated for this renovation.



## OpenAPI

````yaml GET /v1/renovations/{renovation_id}/reports
openapi: 3.0.0
info:
  title: Setle API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.setle.app
security: []
tags: []
paths:
  /v1/renovations/{renovation_id}/reports:
    get:
      tags:
        - Renovation
      description: Returns a list of renovation reports generated for this renovation.
      operationId: PublicRenovationsApiController_getRenovationReports
      parameters:
        - name: renovation_id
          required: true
          in: path
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
          schema:
            type: string
      responses:
        '200':
          description: Successfully processed request.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetRenovationReportDto'
        '400':
          description: Request failed because of input validation errors.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultHttpException'
        '500':
          description: Request failed because of internal server error(s).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorException'
      security:
        - bearer: []
components:
  schemas:
    GetRenovationReportDto:
      type: object
      properties:
        url:
          type: string
          description: >-
            A url pointing to the PDF on our Setle CDN, please note it is
            possible that you have a private CDN setup. Contact Setle in this
            case to verify your CDN domain
          example: https://cdn.setle.app/app/renovation_reports/xxx/xxx/xxx.pdf
        is_outdated:
          type: boolean
          description: Indicates if the report is outdated based on the current data
          example: true
        id:
          type: string
        created_at:
          format: date-time
          type: string
        name:
          type: string
      required:
        - url
        - is_outdated
        - id
        - created_at
        - name
    DefaultHttpException:
      type: object
      properties:
        statusCode:
          type: number
          description: >-
            HTTP status code for the response. Can be anything within the 4XX
            and 5XX range.
          example: 400
        message:
          type: object
          description: >-
            Main error message. This will generally be a string or array of
            strings, but could also be a custom object or array of objects
            without predefined schema.
          example:
            - Name should not be empty.
            - Password must contain at least 1 uppercase character.
        error:
          type: string
          description: Short string representation of the status code.
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    InternalServerErrorException:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````